@import "~sass/media";
@import "~sass/variables";
.cart-checkout {
  margin-top: 0;
  //padding-top: 30px;
  //background-color: #F1F3F6;
  @include for-size(phone-only) {
    padding-bottom: 30px;
  }
  .mat-form-field-label{
    color: $font-white;
  }
  ::ng-deep {
    .mat-expansion-panel{
      background: transparent;
    }
    .mat-expansion-panel-content{
      background: $secondary-color;
    }
    .mat-expansion-panel-body{
      background: $secondary-color;
    }
  }
}
.cart-att {
  display: flex;
  font-size: 12px;
  color: #a0a0a0;
  font-weight: normal;
}
.cart-opt {
  padding-right: 10px;
}
.tab-view {
  @include for-size(tablet-portrait-up) {
    .col-md-8 {
      flex: 1 0 100% !important;
      max-width: 100% !important;
    }
  }
  @include for-size(tablet-portrait-up) {
    .col-md-4 {
      flex: 1 0 100% !important;
      max-width: 100% !important;
      padding-top: 10px;
    }
  }
}
.cart-accordian .mat-expansion-panel {
  // margin: 20px 0;
  // border: none !important;
}
.cart-accordian .mat-expansion-panel-header {
  background-color: $teritary !important;
  display: flex;
  flex-direction: row;
}
.shoppingcart {
  margin: 20px 20px 20px 20px;
  padding-bottom: 1vh;
  width: auto;
  .col-md-8 {
    @media screen and (min-width: 601px) and (max-width: 1000px) {
      padding: 0;
      flex: 0 0 100%;
      max-width: 100%;
    }
  }
  .col-md-4 {
    @media screen and (min-width: 601px) and (max-width: 1000px) {
      margin-top: 10px;
      flex: 0 0 100%;
      max-width: 100%;
    }
  }
}
.mr {
  @media screen and (min-width: 601px) and (max-width: 1000px) {
    margin-right: 0;
  }
}

@include for-size(phone-only) {
  .cart-dd-address h6 {
    margin: 0;
    font-size: 14px;
    color: #444444;
  }
  .cart-dd-address mat-form-field {
    margin-bottom: 5px;
  }
  .normal-view {
    display: none;
  }
}
shoppingcart::-webkit-scrollbar {
  width: 1em;
}

shoppingcart::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(25, 219, 161, 0.3);
}

shoppingcart::-webkit-scrollbar-thumb {
  background-color: rgb(251, 127, 127);
  outline: 1px solid rgb(101, 171, 241);
}

.showmore-wrap .mat-raised-button.mat-primary {
  margin: 20px 0px 20px 0;
  background-color: $primary-color;
  color: $font-white;
}

.prevent-click {
  pointer-events: none;
}

.mat-text-style {
  font-weight: 500;
  color: $font-silver;
  font-size: 13px;
}
.mat-text-style-1 {
  font-weight: 500;
  color: $font-white;
}
::ng-deep .mat-expansion-panel-header-title {
  display: flex;
  flex-grow: 1;
  margin-right: 16px;
  justify-content: space-between;
  align-items: center;
}
.quantity input.mat-input-element {
  height: 3vh;
  width: 4vw;
  text-align: center;
  border: 1px solid $quaternary;
}

.btn-next {
  background-color: $primary-color;
  color: #000;
}

.productcart .product-header {
  color: $primary-color;
}

::ng-deep .mat-table {
  overflow: auto;
  max-height: 500px;
}

mat-panel-title {
  color: #6f6f6f;
}

::ng-deep .mat-expansion-panel-header {
  background-color: $teritary !important;
  display: flex;
  flex-direction: row;
  padding: 0px 20px !important;
  // height: 50px !important;
}
::ng-deep .mat-expansion-panel:not([class*="mat-elevation-z"]) {
  border: 1px solid $quaternary;
  box-shadow: none !important;
}
.remove {
  color: #686868;
  font-size: 15px;
  cursor: pointer;
}

.action-link {
  color: #03a9f4;
  font-weight: bold;
  text-decoration: none;
  &:hover {
    color: #03a9f4;
  }
}
.price {
  color: $font-silver;
  font-weight: 500;
  font-size: 14px;
}
.quantity input.mat-input-element {
  height: 3vh;
  width: 4vw;
  text-align: center;
  border: 1px solid $quaternary;
}
.btn-next {
  background-color: $primary-color;
  color: #000;
}
.productcart .product-header {
  color: $primary-color;
}
.mat-table {
  overflow: auto;
  max-height: 500px;
}
mat-panel-title {
  color: #6f6f6f;
}
.shoppingcart .add-address {
  background-color: $primary-color;
  color: $font-white;
}

.remove {
  color: #686868;
  font-size: 15px;
}

.summary {
  // background-color: #f1f3f6;
  display: inline-table;
  span {
    font-weight: 600;
    font-size: 14px;
  }
  dl {
    margin: 0;
    padding: 0 10px 10px 10px;
    //border: 1px solid #e2e2e2;
    background-color: $secondary-color;
    dt {
      float: left;
      clear: left;
      font-weight: normal;
      font-size: 14px;
    }
    dd {
      float: right;
      clear: right;
      font-weight: bold;
      margin-bottom: 0;
      font-size: 14px;
    }
    &:after {
      content: ".";
      clear: both;
      display: block;
      height: 0;
      visibility: hidden;
    }
  }
  //Sub Total
  .data-list {
    color: #555555;
    font-size: 14px;
    line-height: 2;
    border-radius: 8px 8px 0px 0px;
    padding-top: 10px;
  }
  .total {
    background: #333333;
    color: #ebebeb;
    padding: 10px;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: space-between;

    dt {
      text-transform: uppercase;
      font-weight: 600;
      flex: 1;
    }
    dd {
      font-size: 20px;
      font-weight: 400;
    }
  }
  .coupon-code {
    .promo-title {
      padding-top: 10px;
      font-size: 14px;
      font-weight: 600;
    }

    dd {
      float: left;
      font-weight: normal;
      padding-left: 0.5em;
    }
    .cart-mat-button {
      display: flex;
      align-items: center;
      justify-content: space-between;
      .coupon-btn {
        background: $btn-black;
        color: #fff;
      }
    }
  }
  button {
    margin: 0;
  }
}

.payment,
.terms {
  margin-bottom: 20px;
  & > a {
    float: right;
    padding-right: 20px;
    text-transform: uppercase;
    @extend .action-link;
  }
  h4,
  p {
    padding: 0 20px;
  }
  button {
    margin-top: 20px;
  }
}

::ng-deep .mat-form-field {
  display: block !important;
}

.payment-opt-but {
  display: flex;
  justify-content: flex-end;
  @include for-size(tablet-portrait-up) {
    margin: 20px 0 0 0;
  }
  // :hover {
  //   background-color: green;
  //   text-decoration-color: white;
  // }
}
.next-btn {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.wrap {
  margin: 0 auto;
  background-color: rgb(255, 255, 255);
  box-shadow: 0px 4px 0px 0px #d8d8d8;
  border: 1px solid $quaternary;
  margin-bottom: 2vh;
}

.projTitle {
  font-weight: bold;
  text-align: center;
  font-size: 2em;
  padding: 1em 0;
  border-bottom: 1px solid $quaternary;
  letter-spacing: 3px;
  text-transform: uppercase;
  span {
    font-weight: normal;
    font-style: italic;
    text-transform: lowercase;
    color: #777;
  }
}
// CART HEADER
.heading {
  padding: 1em 0;
  border-bottom: 1px solid $quaternary;

  h1 {
    font-size: 2em;
    float: left;
  }
  a.continue {
    &:link,
    &:visited {
      text-decoration: none;

      letter-spacing: -0.015em;
      font-size: 0.75em;
      padding: 1em;
      color: #fff;
      background: #82ca9c;
      font-weight: bold;
      border-radius: 50px;
      float: right;
      text-align: right;
    }
    &:after {
      content: "\276f";
      padding: 0.5em;
      position: relative;
      right: 0;
    }
    &:hover,
    &:focus,
    &:active {
      background: #f69679;

      &:after {
        right: -10px;
      }
    }
  }
}

// TABLE HEADING

.tableHead {
  display: table;
  width: 100%;

  font-size: 0.75em;
  li {
    display: table-cell;
    padding: 1em 0;
    text-align: center;
    &.prodHeader {
      text-align: left;
    }
  }
}

// CART Items
.cart-wrap {
  margin-bottom: 0;
}
.cart {
  padding: 0;

  .items {
    display: block;
    width: 100%;
    vertical-align: middle;
    padding: 0.5em;

    border-bottom: 1px solid $quaternary;
    &.even {
      background: #fafafa;
    }
    .infoWrap {
      display: table;
      width: 100%;
    }
    .cartSection {
      display: table-cell;
      vertical-align: middle;
      width: 75%;

      h3 {
        font-size: 1em;
        font-weight: bold;
        text-transform: uppercase;
        letter-spacing: 0.025em;
      }
      p {
        display: inline-block;
        font-size: 12px;
        color: #03a9f4;

        .quantity {
          font-weight: bold;
          color: #333;
        }

        &.stockStatus {
          color: #82ca9c;
          padding: 0.5em 0 0 1em;
          &.out {
            color: #f69679;
          }
        }
      }
      .itemImg {
        width: 4em;

        float: left;
      }
      &.qtyWrap,
      &.prodTotal {
        text-align: center;
        padding-top: 14px;
        p {
          font-weight: 500;
          font-size: 16px;
        }
      }

      .itemImg {
        width: 8em;
        display: inline;
        padding-right: 1em;
        cursor: pointer;
      }
    }
  }
}

.special {
  display: block;

  .specialContent {
    padding: 1em 1em 0;
    display: block;
    margin-top: 0.5em;
    border-top: 1px solid $quaternary;
    &:before {
      content: "\21b3";
      font-size: 1.5em;
      margin-right: 1em;
      color: #6f6f6f;
      font-family: helvetica, arial, sans-serif;
    }
  }
}

a.remove {
  text-decoration: none;
  color: #ffffff;
  font-weight: bold;
  background: #e0e0e0;
  padding: 0.5em;
  font-size: 0.75em;
  display: inline-block;
  border-radius: 100%;
  line-height: 0.85;

  &:hover {
    background: #f30;
  }
}

.promoCode {
  border: 2px solid $quaternary;
  float: left;
  width: 35%;
  padding: 2%;
  label {
    display: block;
    width: 100%;
    font-style: italic;
    font-size: 1.15em;

    margin-bottom: 0.5em;
    letter-spacing: -0.025em;
  }
  input {
    width: 85%;
    font-size: 1em;
    padding: 0.5em;
    float: left;
    border: 1px solid #dadada;
    &:active,
    &:focus {
      outline: 0;
    }
  }
  a.btn {
    float: left;
    width: 15%;
    padding: 0.75em 0;
    border-radius: 0 1em 1em 0;
    text-align: center;
    border: 1px solid #82ca9c;
    &:hover {
      border: 1px solid #f69679;
      //background: #f69679;
    }
  }
}

/* TOTAL AND CHECKOUT  */
.subtotal {
  float: right;
  width: 35%;
  .totalRow {
    padding: 0.5em;
    text-align: right;

    &.final {
      font-size: 1.25em;
      font-weight: bold;
    }
    span {
      display: inline-block;
      padding: 0 0 0 1em;
      text-align: right;
    }
    .label {
      font-size: 0.85em;
      text-transform: uppercase;
      color: #777;
    }
    .value {
      letter-spacing: -0.025em;
      width: 35%;
    }
  }
}

.removeWrap {
  display: table-cell;
  vertical-align: middle;
  padding: 15px;
}
.cart-titile {
  cursor: pointer;
  &:hover {
    color: #03a9f4;
  }
}
.nodata-found-wrap {
  text-align: center;
}
.nodata-found img {
  text-align: center;
  margin-top: 12vh;
}

@media (min-width: 320px) and (max-width: 768px) {
  .cart-accordian .mat-expansion-panel {
    margin: 20px 0 5px 0;
    border-radius: 0 !important;
  }
  .product-card {
    padding: 10px;
  }
  .short-desc {
    display: none;
  }
  .title {
    width: 125px;
    font-size: 0.9em;
    white-space: normal;
    overflow: hidden;
    height: 90px;
    text-overflow: ellipsis;
  }
  .qty {
    width: 35%;
  }
  // .col-md-4 {
  //   padding: 0;
  // }
  .cart-delivery {
    padding: 1rem;
  }
  .cart-delivery mat-input-container {
    width: 100%;
  }
  .paycartimg {
    padding-bottom: 2vh;
  }
  .text-right {
    text-align: left !important;
  }
  .summary .total {
    padding: 10px;
  }
  .remove {
    float: right;
    padding-right: 2%;
  }
  .table_row > .table_small > .table_cell:nth-child(odd) {
    color: #4c4b4b !important;
    text-align: left !important;
    padding-left: 20px;
  }
}

.table {
  display: table;
  text-align: center;
  width: 100%;
  margin: auto 0;
  border-collapse: separate;
  font-size: 14px;
  font-weight: 400;
  border: 1px solid $quaternary;
  @include for-size(mobile-lanscape) {
    margin-bottom: 20px;
  }
}

.table_row {
  display: table-row;
}

.theader {
  display: table-row;
}

.table_header {
  display: table-cell;
  // border-bottom: #ccc 1px solid;
  // border-top: #ccc 1px solid;
  background: #eeeeee;
  color: #525252;
  font-weight: 500;
  padding: 10px 5px 10px 5px;
  @include for-size(mobile-lanscape) {
    background: #fff;
  }
}
.product-id {
  font-size: 12px;
  color: rgb(90, 90, 90);
}
.off-price {
  color: #b3b3b3;
  text-decoration: line-through;
  padding-left: 5px;
  font-size: 12px;
}
// .table_header:first-child {
//   border-left: #ccc 1px solid;
//   border-top-left-radius: 5px;
// }

// .table_header:last-child {
//   border-right: #ccc 1px solid;
//   border-top-right-radius: 5px;
// }

.table_small {
  display: table-cell;
}

.table_row > .table_small > .table_cell:nth-child(odd) {
  display: none;
  background: #ffffff;
  color: #e5e5e5;
  padding-top: 10px;
  padding-bottom: 10px;
}

.table_row > .table_small > .table_cell {
  padding-top: 3px;
  padding-bottom: 3px;
  color: #5b5b5b;
  word-break: break-all;
  padding-right: 20px;
}

// .table_row > .table_small:first-child > .table_cell {
//   border-left: #ccc 1px solid;
// }

// .table_row > .table_small:last-child > .table_cell {
//   border-right: #ccc 1px solid;
// }

.table_row:last-child > .table_small:last-child > .table_cell:last-child {
  border-bottom-right-radius: 5px;
}

.table_row:last-child > .table_small:first-child > .table_cell:last-child {
  border-bottom-left-radius: 5px;
}

.table_row:nth-child(2n + 3) {
  background: #f7f7f7;
}
input.qty {
  width: 35px;
  text-align: center;
  border: none;
  background-color: transparent;
  @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
    padding-bottom: 10px;
  }
}
.Quantity {
  width: 30%;
  font-size: 12px;
}
.sub-total {
  width: 25%;
}
.remove-action {
  width: 10%;
  cursor: pointer;
}
.table_cell img {
  width: 25%;
}
.product-left-align {
  text-align: left;
  font-size: 14px;
  font-weight: 500;
}
@media screen and (max-width: 900px) {
  .table {
    width: 100%;
    border: none;
  }
}

@media screen and (max-width: 650px) {
  .table {
    display: block;
    text-align: left !important;
  }
  .table_row:nth-child(2n + 3) {
    background: none;
  }
  .theader {
    display: none;
  }
  .table_row > .table_small > .table_cell:nth-child(odd) {
    color: #5b5b5b;
    display: table-cell;
    width: 50%;
  }
  .table_cell {
    text-align: left !important;
    display: table-cell;
    width: 50%;
    padding-left: 10px;
  }
  .table_row {
    display: table;
    width: 100%;
    border-collapse: separate;
    margin: 0 auto 0;
    // text-align: center;
  }
  .table_small {
    display: table-row;
  }
  .table_row > .table_small:first-child > .table_cell:last-child {
    border-left: none;
  }
  .table_row > .table_small > .table_cell:first-child {
    border-left: #ccc 1px solid;
  }
  .table_row > .table_small:first-child > .table_cell:first-child {
    border-top-left-radius: 5px;
    border-top: #ccc 1px solid;
  }
  .table_row > .table_small:first-child > .table_cell:last-child {
    border-top-right-radius: 5px;
    border-top: #ccc 1px solid;
  }
  .table_row > .table_small:last-child > .table_cell:first-child {
    border-right: none;
  }
  .table_row > .table_small > .table_cell:last-child {
    border-right: #ccc 1px solid;
  }
  .table_row > .table_small:last-child > .table_cell:first-child {
    border-bottom-left-radius: 5px;
  }
  .table_row > .table_small:last-child > .table_cell:last-child {
    border-bottom-right-radius: 5px;
  }
}
//Sub Total
.data-list {
  line-height: 2;
}
// CART ADDRESS CSS
.address-box {
  border: 1px solid $secondary-color;
  padding: 14px;
  font-size: 14px;
  margin-bottom: 1vh;
  background-color: $secondary-color;
}
.address-type {
  text-transform: uppercase;
  font-size: 11px;
  color: #5d5d5d;
  vertical-align: middle;
  padding: 4px 7px;
  border-radius: 2px;
  background-color: #ececec;
  font-weight: 500;
  margin-right: 15px;
  border: 1px solid #cacaca;
}
.add-1 {
  margin-top: 10px;
  display: block;
  max-width: 523px;
}
.add-btn {
  float: right;
  position: relative;
  top: -80px;
}
.plus-icon {
  font-size: 20px;
  padding-right: 1vh;
}
.cart-checkbox {
  //padding-top: 3%;
  font-weight: 400;
  color: $font-black;
  display: flex;
  align-items: center;
  @include for-size(phone-only) {
    padding-top: 0;
    margin-bottom: 0;
  }
}
.cart-bg-color {
  padding-top: 2%;
  font-weight: 400;
  color: #a5a2a2;
  background: #e5e9ed;
}
.cart-wallet-amount {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.cart-bg-color {
  padding-top: 2%;
  font-weight: 400;
  color: #a5a2a2;
  background: #e5e9ed;
}
.cart-wallet-amount {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
::ng-deep .mat-select-content {
  padding: 10px;
}
:host ::ng-deep .mat-checkbox-layout .mat-checkbox-label {
  width: 100%;
  color: $font-silver;
  font-weight: 500;
  font-size: 14px;
}
:host ::ng-deep .mat-checkbox-layout {
  width: 100%;
}
::ng-deep.mat-checkbox-checked.mat-accent .mat-checkbox-background {
  background-color: $primary-color;
}
:host ::ng-deep .mat-checkbox-inner-container {
  background-color: #fff;
}
:host ::ng-deep .mat-form-field-appearance-outline .mat-form-field-outline {
  // background-color: #fff;
}
.cart-payment {
  background-color: $secondary-color;
  box-shadow: 0 0px 1px 0px rgba(149, 149, 149, 0.2),
    0 0px 11px 0 rgba(136, 136, 136, 0.14),
    0 10px 15px 0 rgba(160, 160, 160, 0.12) !important;
  -webkit-appearance: none;
  border-radius: 1px;
  cursor: pointer;
  border-radius: 10px;
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  margin: 0 0 0 15px;
  @include for-size(phone-only) {
    margin: 5px 15px;
  }
}

.payment-border {
  border: 4px solid #c4dbff;
  cursor: pointer;
  margin: 0 15px;
  @include for-size(phone-only) {
    margin: 5px 15px;
  }
}

::ng-deep .cdk-overlay-pane {
  @include for-size(tablet-portrait-up) {
    width: 60% !important;
  }
  @include for-size(phone-only) {
    width: 80% !important;
  }
}
.paddingR0px {
  padding-right: 0px;
  @include for-size(phone-only) {
    padding: 0px;
  }
}
.pay-section {
  display: block;
  margin-top: 50px;
  @include for-size(phone-only) {
    margin-top: 0px;
  }
}

.pay-mode {
  display: block;
  max-width: 570px;
  flex-direction: column;
  width: 100%;
}
.product-section {
  // margin-left: 25px;
  border: 1px solid $quaternary;
  @media screen and (min-width: 601px) and (max-width: 1000px) {
    margin-left: 0;
  }
  .product-list {
    height: 100%;
    display: flex;
    &:not(:last-child) {
      border-bottom: 1px solid $quaternary;
    }
    .product-img-cont {
      flex: 0 0 150px;
      border-right: 1px solid $quaternary;
      display: flex;
      align-items: center;
      justify-content: center;
      img {
        width: calc(100% - 30px);
        height: calc(100% - 30px);
        object-fit: contain;
        cursor: pointer;
      }
    }
    .product-checkout-detail {
      flex: 1 calc(100% - 150px);
      display: flex;
      flex-direction: column;
      .pcd-head {
        flex: 1;
        padding: 12px 10px 0 20px;
        line-height: 1.5;
        @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
          flex: none !important;
        }
      }
      .pcd-foot {
        flex: 0 45px;
        min-height: 45px;
        background-color: #9a9a9a;
        padding: 0 20px;
        display: flex;
        align-items: center;
      }
    }
  }
}
.count-control {
  display: inline-flex;
  .ccl-disabled {
    pointer-events: none;
    width: 20px;
    height: 20px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #b5b5b5;
    border-radius: 50%;
    color: #969696;
    background-color: #b5b5b5;
    cursor: auto;
  }
  .ccl {
    pointer-events: auto;
    width: 20px;
    height: 20px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    border: 1px solid #e2e7ef;
    border-radius: 50%;
    color: #000000;
    background-color: white;
    cursor: pointer;
  }
  .count-label {
    font-size: 13px;
    color: #000000;
    padding: 0 10px;
    input[type="number"]::-webkit-inner-spin-button,
    input[type="number"]::-webkit-outer-spin-button {
      -webkit-appearance: none;
      margin: 0;
    }
    input[type="number"] {
      -moz-appearance: textfield;
    }
  }
}
.order-rate-control {
  .pointer-none {
    cursor: auto !important;
  }
  .orc {
    display: inline-flex;
    color: #5a5a5a;
    font-size: 12px;
    padding: 0 1.1vw;
    @media screen and (min-width: 800px) and (max-width: 1050px) {
      padding: 0 0.5vw;
    }
    cursor: pointer;
    i {
      display: inline-flex;
      align-items: center;
      padding-right: 5px;
    }
    &:not(:last-child) {
      //border-right: 1px solid #333333;
      &:after {
        content: "";
        display: inline-flex;
        width: 1px;
        height: 15px;
        position: relative;
        top: 4px;
        right: -19px;
        background-color: #333333;
        @media screen and (min-width: 300px) and (max-width: 1280px) {
          background-color: transparent;
        }
      }
    }
  }
}
.prod-name {
  color: #444444;
  font-weight: 500;
  font-size: 16px;
  overflow: hidden;
  text-overflow: ellipsis;
  cursor: pointer;
}
.prod-id {
  color: #666666;
  margin-top: 3px;
  font-size: 12px;
}
.prod-cost {
  .pcl {
    color: $primary-color;
    font-size: 20px;
  }
  .pcr {
    display: inline-block;
    padding-left: 20px;
    color: #b5b5b5;
  }
  .prod-coupon {
    position: relative;
    float: right;
    font-size: 12px;
    padding-top: 10px;
    font-weight: normal;
  }
}
.payment-list {
  display: flex;
  height: 70px;
  border-bottom: 1px solid $quaternary;
  align-items: center;
  justify-content: space-between;
  pointer-events: auto !important;
  ::ng-deep .mat-radio-label-content {
    color: #333333;
    font-size: 14px;
    font-weight: 400;
  }
  .plr {
    display: flex;
    justify-content: flex-end;
    width: 100%;
    max-width: 125px;
    .paymentImg {
      width: 100%;
      max-width: 100px;
      @media screen and (-webkit-min-device-pixel-ratio:0) { 
       height: 100%;
      }
    }
  }
}
:host ::ng-deep .mat-radio-button.mat-accent .mat-radio-inner-circle {
  background-color: $primary-color;
  // pointer-events: auto !important;
}

:host ::ng-deep .mat-expansion-panel-header {
  border-radius: unset;
}
.mr {
  margin-right: 60px;
}
:host ::ng-deep .mat-raised-button:not([class*="mat-elevation-z"]) {
  box-shadow: none;
  height: 45px;
}
.mat-btn-width {
  width: 130px;
}
.mt-view {
  display: none;
}
/*mobile view */
@include for-size(phone-only) {
  .common-header-h4 {
    padding-top: 13px;
    // padding-left: 20px;
  }
  .mt-view {
    display: block;
  }
  .mat-form-field-wrapper {
    padding: 0 !important;
    margin: 0 !important;
  }
  .shoppingcart-mobile {
    margin: 0px 15px 20px 15px;
    .product-section-mobile {
      .product-list-mobile {
        height: 100%;
        display: flex;
        .product-img-cont-mobile {
          flex: 0 0 90px;
          display: flex;
          align-items: center;
          justify-content: center;
          img {
            width: calc(100% - 30px);
            height: calc(100% - 30px);
            object-fit: contain;
            cursor: pointer;
          }
        }
        .product-checkout-detail-mobile {
          flex: 1 calc(100% - 150px);
          display: flex;
          flex-direction: column;
          .pcd-head-mobile {
            flex: 1;
            padding: 10px;
            line-height: 1.5;
            align-items: flex-start;
            justify-content: flex-start;
            display: flex;
            flex-direction: column;
            .prod-name-mobile > .cart-titile {
              // white-space: pre-wrap;
              overflow: hidden;
              // width: 260px;
              text-overflow: ellipsis;
              word-break: break-word;
            }
            .prod-id-mobile {
              color: #666666;
              margin-top: 3px;
              font-size: 14px;
              font-weight: 400;
            }
            .prod-cost-mobile {
              .pcl {
                color: $primary-color;
                font-size: 16px;
                font-weight: 400;
              }
              .pcr {
                display: inline-block;
                padding-left: 16px;
                color: #b5b5b5;
                font-weight: 400;
              }
              .prod-coupon-m {
                font-size: 12px;
                font-weight: normal;
              }
            }
          }
        }
      }
      .pcd-foot-mobile {
        flex: 0 45px;
        min-height: 45px;
        background-color: #9a9a9a;
        padding: 0 0 0 10px;
        display: flex;
        align-items: center;
        justify-content: space-between;
        .count-control {
          display: inline-flex;
          .ccl {
            width: 20px;
            height: 20px;
            display: inline-flex;
            align-items: center;
            justify-content: center;
            border: 1px solid #e2e7ef;
            border-radius: 50%;
            color: #000000;
            background-color: white;
            cursor: pointer;
          }
          .count-label {
            font-size: 13px;
            color: #000000;
            padding: 0 5px;
            input[type="number"]::-webkit-inner-spin-button,
            input[type="number"]::-webkit-outer-spin-button {
              -webkit-appearance: none;
              margin: 0;
            }
          }
        }
        .pointer-none-mobile {
          cursor: auto !important;
          padding-left: 25px;
          font-size: 14px;
        }
        .order-rate-control-mobile {
          .orc-mobile {
            display: inline-flex;
            color: #5a5a5a;
            font-size: 15px;
            padding: 0 20px;
            cursor: pointer;
            i {
              display: inline-flex;
              align-items: center;
              font-size: 15px;
            }
            // &:not(:last-child) {
            //   &:after {
            //     content: '';
            //     display: inline-flex;
            //     width: 1px;
            //     height: 15px;
            //     position: relative;
            //     top: 4px;
            //     right: -19px;
            //     background-color: #333333;
            //   }
            // }
          }
          .border-mobile {
            border-right: 1px solid #e6e6e6;
            height: 45px;
          }
        }
      }
    }
    .summary-mobile {
      background-color: #f1f3f6;
      display: inline-table;
      margin-top: 5px;
      -webkit-box-shadow: 0 10px 6px -6px #777;
      -moz-box-shadow: 0 10px 6px -6px #777;
      box-shadow: 0 -4px 1px 0px #e3e7ec;
      span {
        color: #666666;
        font-weight: 400;
      }
      dl {
        margin: 0;
        padding: 10px;
        dt {
          float: left;
          clear: left;
          font-weight: normal;
        }
        dd {
          float: right;
          clear: right;
          font-weight: 500;
          margin-bottom: 0;
        }
        &:after {
          content: ".";
          clear: both;
          display: block;
          height: 0;
          visibility: hidden;
        }
      }
      //Sub Total
      .data-list {
        color: #555555;
        font-size: 14px;
        line-height: 2;
      }
      .total {
        background: #333333;
        color: #ebebeb;
        padding: 10px;
        height: 60px;
        padding: 20px;
        dt {
          text-transform: uppercase;
          font-weight: 400;
        }
        dd {
          font-size: 20px;
          font-weight: 400;
        }
      }
      .coupon-code {
        padding: 10px 20px 0 20px;
        dd {
          float: left;
          font-weight: normal;
          padding-left: 0.5em;
        }
      }
      button {
        margin: 0;
      }
    }
  }
  .cart-mat-button {
    display: flex;
    align-items: center;
    justify-content: space-between;
    .coupon-btn {
      background: $btn-black;
      color: #fff;
      font-weight: 600;
    }
  }
  .shoppingcart-address {
    margin: 30px 15px 35px 15px;
  }
  .add-address {
    background-color: $primary-color;
    ::ng-deep .mat-select-arrow{
      color: $font-black !important;
    }
  }
  .mat-raised-button {
    width: 50%;
    border-radius: 0;
    height: 60px !important;
    font-size: 14px;
    font-weight: 600 !important;
    color: #ffffff;
  }
  .payment-opt-but-mobile {
    .mat-raised-button {
      width: 100%;
    }
  }
  .cart-address {
    font-weight: 400;
    padding-bottom: 20px;
  }
}
#cartbutton {
  position: fixed;
  bottom: 0;
  right: 0;
  left: 0;
  z-index: 2;
}

::ng-deep .bgcolor {
  background-color: #f5f5f5 !important;
}

::ng-deep .router-wrap {
  @include for-size(phone-only) {
    padding-bottom: 0 !important;
  }
}
::ng-deep .mat-expansion-indicator::after {
  @include for-size(phone-only) {
    display: block !important;
    margin-top: -4px;
  }
}
::ng-deep
  .mat-expansion-panel:not(.mat-expanded)
  .mat-expansion-panel-header:not([aria-disabled="true"]) {
  height: 64px !important;
}

@include for-size(phone-only) {
  ::ng-deep .footer {
    display: none !important;
  }
}

.total-gross {
  border-top: 1px solid #b9b9b9;
  line-height: 28px;
}

.cart-login-msg {
  font-size: 14px;
  padding: 20px 0;
  color: #03a9f4;
  cursor: pointer;
}
@media screen and (min-width: 300px) and (max-width: 800px) {
  .mobile-cash-back{
    width: 100%;
  }
}
@media screen and (min-width: 300px) and (max-width: 800px) {
  .cashback-mobile{
    width: 100%;
    padding: 8px;
  }
}
@media screen and (min-width: 300px) and (max-width: 732px) {
  .mt-25{
    margin-top: 25px;
  }
}